Rysunek Roboczy: Adnotacja wieloliniowa

From FreeCAD Documentation
This page is a translated version of the page Draft Text and the translation is 97% complete.
Outdated translations are marked like this.

Rysunek roboczy: Tekst

Lokalizacja w menu
Adnotacja → Tekst
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
T E
Wprowadzono w wersji
0.7
Zobacz także
Etykieta, Kształt z tekstu

Opis

Narzędzie Adnotacja wieloliniowa wstawia wielowierszowe pole tekstowe w wybranym miejscu.

Aby wstawić element tekstowy ze strzałką, użyj przycisku Rysunek roboczy: Etykieta zamiast tego polecenia.

Pojedynczy punkt wymagany przy ustawianiu tekstu

Użycie

Zobacz również: Rysunek roboczy: Tacka narzędziowa oraz Rysunek roboczy: Przyciąganie.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Adnotacja wieloliniowa,
    • Wybierz opcję z menu Adnotacje → Tekst,
    • Użyj skrótu klawiaturowego: T a następnie E.
  2. Otwiera się panel zadań Tekst. Zobacz sekcję Opcje, aby uzyskać więcej informacji.
  3. Kliknij punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Dodaj punkt.
  4. Wprowadź żądany tekst, naciskając Enter między każdą linijką.
  5. Naciśnij Enter dwukrotnie, lub naciśnij przycisk . Utwórz tekst aby zakończyć operację.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi (w wersji 0.22).

  • Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby, a następnie naciśnij klawisz Enter pomiędzy każdą składową X, Y i Z. Możesz wcisnąć przycisk dodaj punkt, gdy już wprowadzisz żądane wartości. Zaleca się wysunięcie kursora poza okno widoku 3D przed wprowadzeniem współrzędnych.
  • Naciśnij G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są względne w stosunku do globalnego układu współrzędnych, w przeciwnym razie są względne w stosunku do układu współrzędnych płaszczyznay roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz N lub zaznacz pole wyboru Kontynuuj aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu pracy, umożliwiając kontynuowanie tworzenia tekstów. Skrót ten nie działa w drugim panelu zadań. Opcja ta nie jest dostępna w pierwszym panelu zadań w programie FreeCAD w wersji 0.19 i wcześniejszych.
  • Naciśnij S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać bieżące polecenie.

Uwagi

Właściwości

Zapoznaj się również z informacjami na stronie: Edytor właściwości.

Obiekt Adnotacja wieloliniowa wywodzi się z obiektu App: FeaturePython i dziedziczy wszystkie jego właściwości. Poniższe właściwości są dodatkowe, chyba że zaznaczono inaczej.

Dane

Podstawa

  • DANEUmieszczenie (Placement): określa położenie tekstu w oknie widoku 3D. Zobacz Umiejscowienie.
  • DANETekst (StringList): określa zawartość tekstu. Każda pozycja na liście reprezentuje nowy wiersz tekstu.

Widok

Adnotacja

  • WIDOKStyl adnotacji (Enumeration): określa styl adnotacji zastosowany do tekstu. Zobacz stronę Edytor stylów adnotacji.
  • WIDOKMnożnik skali (Float): określa ogólny współczynnik skalowania zastosowany do tekstu.

Opcje wyświetlania

  • WIDOKTryb wyświetlania (Enumeration): określa sposób wyświetlania tekstu. Jeśli wartością jest World, tekst będzie wyświetlany na płaszczyźnie zdefiniowanej przez jego DANEUniejscowienie. Jeśli jest to Screen, tekst będzie zawsze skierowany w stronę ekranu. To jest dziedziczona własność. Wspomniane opcje to opcje o zmienionych nazwach (dostępne w wersji 0.21).

Grafika

  • WIDOKKolor linii (Color): nie wykorzystano.
  • WIDOKSzerokość linii (Float): nie wykorzystano.

Tekst

  • WIDOKNazwa czcionki: określa czcionkę, której należy używać do rysowania tekstu. Może to być nazwa czcionki, np. Arial, styl domyślny, np. sans, serif lub mono, rodzina Arial, Helvetica, sans lub nazwa w stylu Arial:Bold. Jeśli dana czcionka nie znajduje się w systemie, stosuje się zamiast niej czcionkę standardową.
  • WIDOKWielkość czcionki: określa rozmiar liter. Jeżeli obiekt tekstowy jest tworzony w widoku drzewa, lecz nie jest widoczny żaden tekst, to należy zwiększyć rozmiar tekstu, aż będzie on widoczny.
  • WIDOKWyrównanie: określa, czy tekst wyrównuje się do lewej, prawej czy do środka punktu bazowego.
  • WIDOKRozstaw linii: określa odstęp między liniami tekstu.
  • WIDOKKolor tekstu (Color): definiuje barwę tekstu.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Narzędzie Adnotacja wieloliniowa używa metody make_text (introduced in version 0.19) środowiska Rysunek roboczy. Ta metoda zastępuje przestarzałą metodę makeText.

text = make_text(string, placement=None, screen=False)
  • Tworzy obiekt text, w miejscu placement, który może być FreeCAD.Placement, ale także zdefiniowanym przez FreeCAD.Rotation lub FreeCAD.Vector.
  • string to łańcuch, lub lista łańcuchów. Jeżeli jest to lista, to każdy element jest wyświetlany w swoim wierszu.
  • Jeżeli wartość screen ma wartość True, to tekst jest zawsze zwrócony w kierunku obserwacji z kamery, w przeciwnym razie jest wyświetlana w płaszczyźnie zdefiniowanej przez jej DANEUmiejscowienie.

Właściwości widoku text można zmienić poprzez nadpisanie jego właściwości, np. nadpisać ViewObject.FontSize wartością nowego rozmiaru w milimetrach.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()